Endpoint
Authentication
Bearer token required.Request Body
Response
The key of the deleted file.
Example
Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
CollabKit is currently in Beta. APIs and features may change.
Delete a file from storage.
DELETE /v1/accounts/:accountId/upload
curl -X DELETE https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/upload \
-H "Authorization: Bearer ${TOKEN}" \
-H "Content-Type: application/json" \
-d '{"key": "c3003c93/uploads/screenshot.png"}'
const res = await fetch(`https://api.collab-kit.com/v1/accounts/${accountId}/upload`, {
method: 'DELETE',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({ key: 'c3003c93/uploads/screenshot.png' }),
});
const { data } = await res.json();
{
"type": "response",
"success": true,
"description": "File deleted",
"data": {
"key": "c3003c93/uploads/screenshot.png"
},
"error": null
}